Skip to main content
GET
/
api
/
agents
/
triggers
List agent triggers
curl --request GET \
  --url https://app.dacard.ai/api/agents/triggers \
  --cookie __session=
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "conditionType": "schedule",
      "conditionConfig": {
        "cron": "<string>",
        "threshold": 123,
        "dropPercent": 123,
        "signalTypes": [
          "<string>"
        ]
      },
      "actionConfig": {
        "autoRun": true,
        "notifySlack": true
      },
      "enabled": true,
      "lastFiredAt": "2023-11-07T05:31:56Z",
      "firedCount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

__session
string
cookie
required

Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.

Query Parameters

agentId
string<uuid>

Filter triggers to a specific agent

Response

List of triggers

data
object[]
total
integer